<html>
<head>
<title>Maraton</title>
<style type="text/css">
table, td, th
{
	border-collapse:collapse;
	border:1px solid black;
}
.capturar
{
width:55px;
}
#capturamaraton:hover
{
background:#49609b;
}
#capturamaraton
{
background:black;
color:white;
border-radius:5px;
}
.resultados{display:block;}
#a1{ background:#d6d8db; border:1px solid black;}
#a2{ background:#a9b2c9; border:1px solid black;}

</style>
   <script language="javascript" src="js/jquery-1.2.6.min.js"></script>
<script type="text/javascript">
function guardaMaraton()
{
	var fi=document.getElementById("fi").value
	var ff=document.getElementById("ff").value
	var anun=document.getElementById("anuncios").value
	var pros=document.getElementById("prospectos").value
	var citas=document.getElementById("citas").value
	var asis=document.getElementById("asistencias").value
	var boton=document.getElementById("boton1").value
	var id=document.getElementById("id").value
	 
	  $.post("guardamaraton.php",
			{
				tipo:"insertar",
				fi:fi,
				ff:ff,
				anun:anun,
				pros:pros,
				citas:citas,
				asis:asis,
				boton:boton, id:id
			},
		function(data,status)
			{
				$("#guardo").html(data);
			});
			
			buscamaraton();
}
function cambiaBoton(a){
document.getElementById("boton1").value=a
	document.getElementById("fi").value=document.getElementById("fiC").value
	document.getElementById("ff").value=document.getElementById("ffC").value
	document.getElementById("anuncios").value=document.getElementById("anunciosC").value
	document.getElementById("prospectos").value=document.getElementById("llamadasC").value
	document.getElementById("citas").value=document.getElementById("citasC").value
	document.getElementById("asistencias").value=document.getElementById("asistenciasC").value
	document.getElementById("id").value=document.getElementById("idC").value
}

function buscamaraton()
{
  $.post("guardamaraton.php",
			{
				tipo:"consultar"
			},
		function(data,status)
			{
			document.getElementById("maratones").innerHTML="";
			document.getElementById("maratones").innerHTML="<select onchange='tablaposiciones(this.value)' name='consulMarton' id='consulMarton'><option>-Selecciona-</option></select>";
			var n=data.split("%");
			var a=0;
			var h=(n.length-1)/2;
			var mes = new Array("","ENE","FEB","MAR","ABR","MAY","JUN","JUL","AGO","SEP","OCT","NOV","DIC");
				select = document.getElementById("consulMarton");
			for ( i =1; i <=h; i++) 
			{
				option = document.createElement( 'option' );
				option.value =n[a];
				a++;
				
				var m=n[a].split("-");
				m[1]++;m[1]--;m[4]++;m[4]--;
				option.text =m[0]+"/"+mes[m[1]]+"/"+m[2]+" al "+m[3]+"/"+mes[m[4]]+"/"+m[5];
				a++;
				select.add( option );
			}
			});
}
function mcaptura()
{
 $("#capturar").toggle("slow");
}
function mconsulta()
{
 $("#consulta").toggle("slow");

}
function tablaposiciones(id)
{
$("#tabladeposiciones").html("<img src='images/loading.gif'>");
  $.post("posicionesmaraton.php",
			{
				id:id
			},
		function(data,status)
			{
				$("#tabladeposiciones").html(data);
			});
}
</script>
<script language="javascript" src="calendario_cierre/calendar_db.js"></script>
 <link type="text/css" href="calendario_cierre/calendar.css" rel="stylesheet" />
</script>
</head>
<body>

<fieldset>
  <legend id="capturamaraton" onclick="mcaptura()">Capturar Maraton</legend>
<div id="capturar" >
<font color="red"><p id="guardo"></p></font>
<input type="hidden" name="id" id="id" value="0">
<form name="form">
<table id="capturar">
<tr id="capturamaraton" ><th colspan="2">Llena o modifica los valores
<tr id="capturamaraton"><td>Fecha de inicio<td>Fecha de termino
<tr><td><input  type="text"  name="fi" id="fi"  size="8" readonly autocomplete=off >
				     <script language="JavaScript">
                         var o_cal = new tcal ({
                          // form name
                          'formname': 'form',
                          // input name
                          'controlname': 'fi'
                          });
                         // individual template parameters can be modified via the calendar variable
                          o_cal.a_tpl.yearscroll = false;
                          o_cal.a_tpl.weekstart = 1;     
                     </script>
	<td><input  type="text"  name="ff" id="ff" size="8" readonly autocomplete=off >
						 <script language="JavaScript">
                         var o_cal = new tcal ({
                          // form name
                          'formname': 'form',
                          // input name
                          'controlname': 'ff'
                          });
                         // individual template parameters can be modified via the calendar variable
                          o_cal.a_tpl.yearscroll = false;
                          o_cal.a_tpl.weekstart = 1;     
                     </script>
	<tr id="capturamaraton"><td><p>Criterio</p><td>Cantidad
<tr><td>Anuncios<td><input class="capturar" type="text" name="anuncios" id="anuncios">
<tr><td>Prospectos<td><input class="capturar" type="text" name="prospectos" id="prospectos">
<tr><td>Citas<td><input class="capturar" type="text" name="citas" id="citas">
<tr><td>Asistencias<td><input class="capturar" type="text" name="asistencias" id="asistencias">
<tr><td colspan="2" align="center"><input id="boton1" type="submit" value="Guardar" onclick="guardaMaraton()">
</table>
</form>
</div>
</fieldset>
<br><br><br>
<fieldset>
  <legend id="capturamaraton" onclick="mconsulta()"> Resultados de Maraton</legend>
<div id="consulta">
<a id="carga"></a>
<table id="cosultamaraton">
	<tr><th id="capturamaraton">Resultados del maraton
	<tr><td><p id="maratones"></p>
</table>
</div>
<script>buscamaraton()</script>
<div id="tabladeposiciones"></div>
</fieldset>

</body>